Skip to main content
GET
/
api
/
v4
/
projects
/
{projectId}
/
columns
curl -X GET "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "columns": [
    {
      "id": "_trigger",
      "header": "Input",
      "type": "manual",
      "trigger": true,
      "order": 0
    },
    {
      "id": "col_aaa111",
      "header": "Company Research",
      "type": "ai",
      "dataShape": "text",
      "order": 1,
      "dependencies": [{"columnId": "_trigger", "required": true}],
      "aiConfig": { "prompt": "Research the company..." }
    }
  ]
}
Retrieve all column definitions for a project including their full configuration. Requires a Bearer token.
curl -X GET "https://fluar.com/api/v4/projects/proj_550e8400e29b41d4a716446655440000/columns" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "success": true,
  "columns": [
    {
      "id": "_trigger",
      "header": "Input",
      "type": "manual",
      "trigger": true,
      "order": 0
    },
    {
      "id": "col_aaa111",
      "header": "Company Research",
      "type": "ai",
      "dataShape": "text",
      "order": 1,
      "dependencies": [{"columnId": "_trigger", "required": true}],
      "aiConfig": { "prompt": "Research the company..." }
    }
  ]
}